## org.junit.experimental.theories.suppliers
Class TestedOnSupplier

    java.lang.Object
      org.junit.experimental.theories.ParameterSupplier
          org.junit.experimental.theories.suppliers.TestedOnSupplier

    public class TestedOnSupplier

extends ParameterSupplier

See Also:
  `TestedOn`, `ParameterSupplier`

Constructor Summary
`TestedOnSupplier()`

Method Summary
`List<PotentialAssignment>` `getValueSources(ParameterSignature sig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestedOnSupplier

    public TestedOnSupplier()

Method Detail

### getValueSources

    public List<PotentialAssignment> getValueSources(ParameterSignature sig)

  Specified by:
    `getValueSources` in class `ParameterSupplier`

Copyright © 2002–2020 JUnit. All rights reserved.